org.apache.olingo.odata2.api.edm.provider

## Class EntityContainer

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.EntityContainerInfo
  - - org.apache.olingo.odata2.api.edm.provider.EntityContainer

-     public class EntityContainer
      extends EntityContainerInfo

  Objects of this class represent an entity container including its child elements

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityContainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AssociationSet>` | `getAssociationSets()`
    `Documentation` | `getDocumentation()`
    `List<EntitySet>` | `getEntitySets()`
    `List<FunctionImport>` | `getFunctionImports()`
    `EntityContainer` | `setAssociationSets(List<AssociationSet> associationSets)` Sets the association sets of this `EntityContainer`
    `EntityContainer` | `setDefaultEntityContainer(boolean isDefaultEntityContainer)` Sets if this is the default `EntityContainer`
    `EntityContainer` | `setDocumentation(Documentation documentation)` Sets the `Documentation`
    `EntityContainer` | `setEntitySets(List<EntitySet> entitySets)` Sets the entity sets of this `EntityContainer`
    `EntityContainer` | `setExtendz(String extendz)` Sets the entity container which is the parent of this `EntityContainer`
    `EntityContainer` | `setFunctionImports(List<FunctionImport> functionImports)` Sets the function imports of this `EntityContainer`
    `EntityContainer` | `setName(String name)` Sets the name of this `EntityContainer`

    - ### Methods inherited from class org.apache.olingo.odata2.api.edm.provider.EntityContainerInfo

      `getAnnotationAttributes, getAnnotationElements, getExtendz, getName, isDefaultEntityContainer, setAnnotationAttributes, setAnnotationElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityContainer

          public EntityContainer()

  - ### Method Detail

    - #### getEntitySets

          public List<EntitySet> getEntitySets()

      Returns:
        List of all entity sets of the entity container

    - #### setEntitySets

          public EntityContainer setEntitySets(List<EntitySet> entitySets)

      Sets the entity sets of this `EntityContainer`
      Parameters:
        `entitySets` -
      Returns:
        `EntityContainerInfo` for method chaining

    - #### getAssociationSets

          public List<AssociationSet> getAssociationSets()

      Returns:
        List of all association sets of the entity container

    - #### setAssociationSets

          public EntityContainer setAssociationSets(List<AssociationSet> associationSets)

      Sets the association sets of this `EntityContainer`
      Parameters:
        `associationSets` -
      Returns:
        `EntityContainerInfo` for method chaining

    - #### getFunctionImports

          public List<FunctionImport> getFunctionImports()

      Returns:
        List of all function imports of the entity container

    - #### setFunctionImports

          public EntityContainer setFunctionImports(List<FunctionImport> functionImports)

      Sets the function imports of this `EntityContainer`
      Parameters:
        `functionImports` -
      Returns:
        `EntityContainerInfo` for method chaining

    - #### setName

          public EntityContainer setName(String name)

      Sets the name of this `EntityContainer`
      Overrides:
        `setName` in class `EntityContainerInfo`
      Parameters:
        `name` -
      Returns:
        `EntityContainer` for method chaining

    - #### setExtendz

          public EntityContainer setExtendz(String extendz)

      Sets the entity container which is the parent of this `EntityContainer`
      Overrides:
        `setExtendz` in class `EntityContainerInfo`
      Parameters:
        `extendz` -
      Returns:
        `EntityContainer` for method chaining

    - #### setDefaultEntityContainer

          public EntityContainer setDefaultEntityContainer(boolean isDefaultEntityContainer)

      Sets if this is the default `EntityContainer`
      Overrides:
        `setDefaultEntityContainer` in class `EntityContainerInfo`
      Parameters:
        `isDefaultEntityContainer` -
      Returns:
        `EntityContainer` for method chaining

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### setDocumentation

          public EntityContainer setDocumentation(Documentation documentation)

      Sets the `Documentation`
      Parameters:
        `documentation` -
      Returns:
        `EntityContainer` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.